package com.device.comm.mylibrary.NativeDevice.cgmadi.enums;

public enum OBJCode
{
  VOLTAGE("极化电压配置项", Byte.valueOf((byte)1)),  RECORD("日志", Byte.valueOf((byte)2)),  NDFI("N Data From Index", 
    Byte.valueOf((byte)4)),  ADFI("All Data From Index", Byte.valueOf((byte)5)),  AC("All data Count", 
    Byte.valueOf((byte)6)),  AD("All Data", Byte.valueOf((byte)7)),  MONITOR("监测状态", 
    Byte.valueOf((byte)8)),  ADVINTV("广播间隔", Byte.valueOf((byte)9)),  AUTHO("授权", Byte.valueOf((byte)11)),  PW(
    "密码", Byte.valueOf((byte)12)),  CLEINTV("采集间隔", Byte.valueOf((byte)13)),  CLENUM("生成P 值的样本个数", 
    Byte.valueOf((byte)14)),  NAME("名字", Byte.valueOf((byte)15)),  MAXNUM("最大采集样本个数", Byte.valueOf((byte)16)),BATTERY("电池电压", Byte.valueOf((byte)17)),  CON_DIS(
    "断开连接", Byte.valueOf((byte)18)),  SN("SN", Byte.valueOf((byte)19)),  VERSION("VERSION", 
    Byte.valueOf((byte)20)),  CLET_ID("CLET_ID", Byte.valueOf((byte)21));
  
  private String name;
  private Byte value;
  
  private OBJCode(String name, Byte value)
  {
    this.name = name;
    this.value = value;
  }
  
  public static OBJCode valueOf(Byte value)
  {
    switch (value.byteValue())
    {
    case 1: 
      return VOLTAGE;
    case 2: 
      return RECORD;
    case 4: 
      return NDFI;
    case 5: 
      return ADFI;
    case 6: 
      return AC;
    case 7: 
      return AD;
    case 8: 
      return MONITOR;
    case 9: 
      return ADVINTV;
    case 11: 
      return AUTHO;
    case 12: 
      return PW;
    case 13: 
      return CLEINTV;
    case 14: 
      return CLENUM;
    case 15: 
      return NAME;
    case 16: 
      return MAXNUM;
    case 18: 
      return CON_DIS;
    case 19: 
      return SN;
    case 20: 
      return VERSION;
    case 21: 
      return CLET_ID;
    }
    return null;
  }
  
  public String getName()
  {
    return this.name;
  }
  
  public void setName(String name)
  {
    this.name = name;
  }
  
  public Byte getValue()
  {
    return this.value;
  }
  
  public void setValue(Byte value)
  {
    this.value = value;
  }
}


/* Location:              /Users/lvwang2002/Desktop/CodeSource/work/DY_GLUCOSE/thapi_test/libs/cgmthapi.jar!/com/sanme/cgmadi/bluetooth4/enums/OBJCode.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */